{{page-title this.term ' ' (capitalize (t 'sites'))}}

<div class='main-container'>
  <div class='view-browse'>
    {{#if @model.map}}
      {{page-title @model.map.name}}
      <div class='container mt-4'>
        <Browse::Map::Article @map={{@model.map}} />
      </div>
    {{else}}
      {{#if @model.icon}}
        {{page-title @model.icon.localName}}
        <div class='container mt-4'>
          <Browse::Icon::Article @icon={{@model.icon}} />
        </div>
      {{/if}}
    {{/if}}

    <Filters::Bar>
      <Manage::Toolbar::ViewMode
        @allowCardDeck={{true}}
        @allowList={{true}}
        @value={{this.viewMode}}
        @default='card-deck'
        @onChange={{this.changeViewMode}}
      />

      {{#if this.accessConfig.isMultiProjectMode}}
        <Filters::SearchOptions
          @title={{t 'map'}}
          @placeholder={{capitalize (t 'enter search keywords')}}
          @niceValue={{this.mapFilter.label}}
          @value={{this.mapFilter.name}}
          @onHide={{this.mapFilter.hide}}
          @onReset={{this.mapFilter.reset}}
          @onSelect={{this.mapFilter.select}}
          @onSearch={{this.mapFilter.search}}
        >

          {{#if this.maps.length}}
            <hr class='m-0' />
            <div class='list-group list-group-flush'>
              {{#each this.maps as |map|}}
                <button
                  type='button'
                  class='list-group-item list-group-item-action'
                  {{on 'click' (fn this.mapFilter.select map)}}
                >
                  {{map.name}}
                </button>
              {{/each}}
            </div>
          {{/if}}
        </Filters::SearchOptions>
      {{/if}}

      <Filters::Icons
        @iconSets={{this.iconSets}}
        @adapter={{this.iconAdapter}}
        @onChange={{this.iconSelect}}
        @icon={{@model.icon}}
      />

      {{#if this.user.id}}
        <Filters::SearchOptions
          @title={{t 'author'}}
          @placeholder={{capitalize (t 'enter search keywords')}}
          @niceValue={{this.authorFilter.label}}
          @value={{this.authorFilter.name}}
          @onHide={{this.authorFilter.hide}}
          @onReset={{this.authorFilter.reset}}
          @onSelect={{this.authorFilter.select}}
          @onSearch={{this.authorFilter.search}}
        >
          <hr class='m-0' />

          <button
            class='btn btn-link btn-current-user'
            type='button'
            {{on 'click' (fn this.authorFilter.select this.user.id)}}
          >
            <MarkDown @value={{t 'created by you'}} />
          </button>

          {{#if this.users.length}}
            <hr class='m-0' />

            <div class='list-group list-group-flush'>
              {{#each this.users as |user|}}
                <button
                  type='button'
                  class='list-group-item list-group-item-action'
                  {{on 'click' (fn this.authorFilter.select user)}}
                >
                  {{user.name}}<br />
                  <small>{{user.email}}</small>
                </button>
              {{/each}}
            </div>
          {{/if}}
        </Filters::SearchOptions>

        <Filters::VisibilityFeature
          @value={{this.visibility}}
          @onChange={{this.changeVisibility}}
        />

        <Filters::Issues
          @value={{this.issues}}
          @onChange={{this.changeIssues}}
        />
      {{/if}}

      <Filters::SearchOptions
        class='d-none'
        @title={{t 'area'}}
        @niceValue={{this.areaFilter.label}}
        @value={{this.areaFilter.name}}
        @onHide={{this.areaFilter.hide}}
        @onReset={{this.areaFilter.reset}}
        @onSelect={{this.areaFilter.select}}
        @onSearch={{this.areaFilter.search}}
      >

        {{#if this.areas.length}}
          <hr class='m-0' />
          <div class='list-group list-group-flush'>
            {{#each this.areas as |area|}}
              <button
                type='button'
                class='list-group-item list-group-item-action'
                {{on 'click' (fn this.areaFilter.select area)}}
              >
                {{area.name}}
              </button>
            {{/each}}
          </div>
        {{/if}}
      </Filters::SearchOptions>

      {{#if this.tag}}
        <Filters::Pill
          @icon='hashtag'
          @value={{this.tag}}
          @onReset={{this.removeTag}}
        />
      {{/if}}

      <Filters::Search
        @class='ms-auto'
        @value={{this.search}}
        @hasSuggestions={{this.searchStorage.history.length}}
        @isSearching={{this.isSearching}}
        @onSearch={{this.performSearch}}
      >
        {{#if this.searchStorage.history.length}}
          <Filters::OptionList
            @title={{t 'recent searches'}}
            @onSelect={{this.performSearch}}
            @values={{this.searchStorage.history}}
          />
        {{/if}}
      </Filters::Search>
    </Filters::Bar>

    <div class='container pt-5 pb-5'>
      <h1 class='capitalize-first-letter'>{{t 'sites'}}</h1>

      {{#if this.accessConfig.isMultiProjectMode}}
        <Breadcrumbs @value={{this.breadcrumbs}} />
      {{/if}}

      {{#if this.search}}
        <SearchResultsLabel
          @term={{this.search}}
          @results={{@model.buckets.content}}
        />
      {{/if}}

      <Manage::List
        @selectAll={{this.selectAll}}
        @isEditable={{this.isEditable}}
        @viewMode={{this.viewMode}}
        @actions={{this.modelActions}}
        @columns={{@model.features.buckets}}
        @header={{concat
          (t 'name')
          ','
          (t 'description')
          ','
          (t 'icons')
          ','
          (t 'pictures')
        }}
        @onSelect={{this.select}}
        @onAction={{this.handleAction}}
        @onDelete={{this.deleteRecord}}
        as |section actions|
      >
        <Manage::Site
          @position={{this.position}}
          @section={{section}}
          @actions={{actions}}
        />
      </Manage::List>

      <LazyListLoadMore @lazyList={{@model.features}} class="mb-5" />
    </div>
  </div>
</div>